PostgreSQL 7.4.3 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# clusterdb

## Name

clusterdb -- cluster a PostgreSQL database

## Synopsis

`clusterdb` [connection-option...] [--table | -t table ] [dbname]
`clusterdb` [connection-option...] [--all | -a]

## Description

clusterdb is a utility for reclustering tables in a PostgreSQL database. It finds tables that have previously been clustered, and clusters them again on the same index that was last used. Tables that have never been clustered are not affected.

clusterdb is a wrapper around the SQL command CLUSTER. There is no effective difference between clustering databases via this utility and via other methods for accessing the server.

## Options

clusterdb accepts the following command-line arguments:

-a
--all

  Cluster all databases.

[-d] dbname
[--dbname] dbname

  Specifies the name of the database to be clustered. If this is not specified and -a (or --all) is not used, the database name is read from the environment variable `PGDATABASE`. If that is not set, the user name specified for the connection is used.

-e
--echo

  Echo the commands that clusterdb generates and sends to the server.

-q
--quiet

  Do not display a response.

-t table
--table table

  Cluster table only.

clusterdb also accepts the following command-line arguments for connection parameters:

-h host
--host host

  Specifies the host name of the machine on which the server is running. If the value begins with a slash, it is used as the directory for the Unix domain socket.

-p port
--port port

  Specifies the TCP port or local Unix domain socket file extension on which the server is listening for connections.

-U username
--username username

  User name to connect as.

-W
--password

  Force password prompt.

## Environment

`PGDATABASE`
`PGHOST`
`PGPORT`
`PGUSER`

  Default connection parameters

## Diagnostics

In case of difficulty, see CLUSTER and psql for discussions of potential problems and error messages. The database server must be running at the targeted host. Also, any default connection settings and environment variables used by the libpq front-end library will apply.

## Examples

To cluster the database `test`:

    $ clusterdb test

To cluster a single table `foo` in a database named `xyzzy`:

    $ clusterdb --table foo xyzzy

## See Also

CLUSTER

Prev | Home | Next
PostgreSQL Client Applications | Up | createdb